#### D.14.1.27 arrRandomCentral

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrRandomCentral(d,m,n); int d,m,n

Return:
  Random central arrangement, where m is the number of hyperplanes, n the dimension, d the upper bound for absolute value of coefficients.

Example:

    LIB "arr.lib";
    ring R = 0,x(1..20),dp;
    arrRandomCentral(7,3,15);
    ==> _[1]=2*x(1)-6*x(2)-3*x(3)+4*x(5)+x(6)-4*x(7)-3*x(8)-x(9)+x(10)-3*x(11)-6*\
       x(12)-x(13)+2*x(14)-6*x(15)
    ==> _[2]=-4*x(1)+x(2)-3*x(3)-4*x(4)-7*x(6)-3*x(7)+x(9)-3*x(10)-4*x(11)-x(12)-\
       7*x(13)-2*x(14)-3*x(15)
    ==> _[3]=-x(2)+4*x(3)+2*x(4)+5*x(5)-x(6)+6*x(7)+5*x(8)-6*x(9)+5*x(10)+x(12)+3\
       *x(13)-5*x(14)+2*x(15)
    ==>

See also: arrBoolean; arrBraid; arrEdelmanReiner; arrRandom; arrTypeB; arrTypeD.

User manual for Singular version 4.4.1, 2025, generated by texi2html.